;; ===========================================================================
;; ODBC Constants for FFI implementations
;; ===========================================================================

(defconstant SQL_HANDLE_ENV  1)
(defconstant SQL_HANDLE_DBC  2)
(defconstant SQL_HANDLE_STMT 3)
(defconstant SQL_HANDLE_DESC 4)

(defconstant SQL_NULL_HANDLE 0)

(defconstant SQL_OV_ODBC3            3)
(defconstant SQL_ATTR_ODBC_VERSION 200)

(defconstant SQL_SUCCESS             0)
(defconstant SQL_SUCCESS_WITH_INFO   1)
;#if (ODBCVER >= 0x0300)
(defconstant SQL_NO_DATA           100)
;#endif
(defconstant SQL_ERROR              -1)
(defconstant SQL_INVALID_HANDLE     -2)

(defconstant SQL_STILL_EXECUTING     2)
(defconstant SQL_NEED_DATA          99)

;; flags for null-terminated string
(defconstant SQL_NTS                -3)
(defconstant SQL_NTSL               -3)

(defconstant SQL_PARAM_TYPE_UNKNOWN  0)
(defconstant SQL_PARAM_INPUT         1)
(defconstant SQL_PARAM_INPUT_OUTPUT  2)
(defconstant SQL_RESULT_COL          3)
(defconstant SQL_PARAM_OUTPUT        4)
(defconstant SQL_RETURN_VALUE        5)

(defconstant SQL_UNKNOWN_TYPE        0)
(defconstant SQL_CHAR                1)

(defconstant SQL_C_CHAR              1)

(defconstant SQL_COMMIT              0)
(defconstant SQL_ROLLBACK            1)

#||
/* SQL data type codes */
#define	SQL_UNKNOWN_TYPE	0
#define SQL_CHAR            1
#define SQL_NUMERIC         2
#define SQL_DECIMAL         3
#define SQL_INTEGER         4
#define SQL_SMALLINT        5
#define SQL_FLOAT           6
#define SQL_REAL            7
#define SQL_DOUBLE          8
#if (ODBCVER >= 0x0300)
#define SQL_DATETIME        9
#endif
#define SQL_VARCHAR        12

/* One-parameter shortcuts for date/time data types */
#if (ODBCVER >= 0x0300)
#define SQL_TYPE_DATE      91
#define SQL_TYPE_TIME      92
#define SQL_TYPE_TIMESTAMP 93
#endif

#define SQL_C_CHAR    SQL_CHAR             /* CHAR, VARCHAR, DECIMAL, NUMERIC */
#define SQL_C_LONG    SQL_INTEGER          /* INTEGER                      */
#define SQL_C_SHORT   SQL_SMALLINT         /* SMALLINT                     */
#define SQL_C_FLOAT   SQL_REAL             /* REAL                         */
#define SQL_C_DOUBLE  SQL_DOUBLE           /* FLOAT, DOUBLE                */
||#


